Subject: Building current git for 405 is broken

From: Matthias Fuchs <[email-masked]>
Date: Wed, 7 Jan 2009 15:10:45 +0100

Hi Benjamin,

commit 2a4aca114439 (powerpc/mm: Split low level tlb invalidate for nohash processors)
breaks building for 40x CPUs. This is what I get when building for the walnut board:

  CC      arch/powerpc/kernel/prom.o
In file included from arch/powerpc/kernel/prom.c:56:
arch/powerpc/mm/mmu_decl.h: In function '_tlbil_all':
arch/powerpc/mm/mmu_decl.h:34: error: expected ';' before '}' token
arch/powerpc/mm/mmu_decl.h:36: error: invalid storage class for function '_tlbil_pid'
arch/powerpc/mm/mmu_decl.h: In function '_tlbil_pid':
arch/powerpc/mm/mmu_decl.h:38: error: expected ';' before '}' token
arch/powerpc/mm/mmu_decl.h:53: warning: ISO C90 forbids mixed declarations and code
arch/powerpc/mm/mmu_decl.h:62: error: invalid storage class for function '_tlbivax_bcast'
arch/powerpc/kernel/prom.c:90: error: invalid storage class for function 'find_flat_dt_string'

Seems to be a result of some missing types or whatever. I suppose you are 
more familiar with that code than I am ;-)

Matthias